sc::MaxIterExceeded(3)

NAME
sc::MaxIterExceeded - This is thrown when an iterative algorithm attempts to use more iterations than allowed.

SYNOPSIS

#include <scexception.h>

Inherits sc::AlgorithmException.

  Public Member Functions
MaxIterExceeded (const char *description=0, const char *file=0, int line=0, int maxiter=0, const ClassDesc *class_desc=0, const char *exception_type='MaxIterExceeded') throw ()
MaxIterExceeded (const MaxIterExceeded &) throw ()
int max_iter () const throw ()

Detailed Description

This is thrown when an iterative algorithm attempts to use more iterations than allowed.

Author

Generated automatically by Doxygen for MPQC from the source code.